<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: input.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>input.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c">mdebug_dump_im</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをダンプする.  <a href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">関数</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp2541eee8a7fe11273133f63cce3d67c4"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11">minput_open_im</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, void *arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをオープンする.  <a href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905">minput_close_im</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをクローズする.  <a href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputContext.html">MInputContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859">minput_create_ic</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im, void *arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストを生成する.  <a href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb">minput_destroy_ic</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストを破壊する.  <a href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457">minput_filter</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力キーをフィルタする.  <a href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57">minput_lookup</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *arg, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクスト中のテキストを探す.  <a href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376">minput_set_spot</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, int x, int y, int ascent, int descent, int fontsize, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストのスポットを設定する.  <a href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b">minput_toggle</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドを切替える.  <a href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5">minput_reset_ic</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストをリセットする.  <a href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a">minput_get_title_icon</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのタイトルとアイコン用ファイル名を得る.  <a href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b">minput_get_description</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの説明テキストを得る.  <a href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b">minput_get_command</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのコマンドに関する情報を得る.  <a href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed">minput_config_command</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *keyseqlist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのコマンドのキーシークエンスを設定する.  <a href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50">minput_get_variable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> variable)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの変数に関する情報を得る.  <a href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424">minput_config_variable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> variable, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *value)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの変数の値を設定する.  <a href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d">minput_config_file</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ユーザ毎のカスタマイズファイルの名前を得る.  <a href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6">minput_save_config</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">設定をユーザ毎のカスタマイズファイルに保存する.  <a href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Obsolete な関数</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd16ae2b3a00aa14e0803c5497617f9ed"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa">minput_get_variables</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの変数リストを得る.  <a href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd">minput_set_variable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> variable, void *value)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッド変数の初期値を設定する.  <a href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e">minput_get_commands</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのコマンドに関する情報を得る.  <a href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855">minput_assign_command_keys</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *keyseq)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドコマンドにキーシークエンスを割り当てる.  <a href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga955cd9e0b9fd8cf426aed3f3584337ff">minput_callback</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command)</td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456">Minput_method</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"input-method" を名前として持つシンボル.  <a href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b">minput_default_driver</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">内部入力メソッド用デフォルトドライバ.  <a href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702">minput_driver</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">内部入力メソッド用ドライバ.  <a href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaf03ec92f0d20d9bff8b9031461270d41">Minput_driver</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数： コールバックコマンド用定義済みシンボル.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp1e5fe5243226f3b0746386fbffa52f35"></a> 入力メソッドドライバのコールバック関数において <code>COMMAND</code> 引数として用いられる定義済みシンボル (<a class="el" href="structMInputDriver.html#a159fe7401cd0913dc8c480a18efeff64" title="コールバック関数のリスト.">MInputDriver::callback_list</a> 参照)。</p>
<p>ほとんどは追加の引数を必要としないし値を返さないが、以下は例外である。</p>
<p>Minput_get_surrounding_text: このコマンドに割り当てられたコールバッ ク関数が呼ばれた際には、 <a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">MInputContext::plist</a> の第一要素はキーとし て<a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8" title="&quot;integer&quot; を名前として持つシンボル.">Minteger</a> をとり、その値はサラウンディングテキストのうちどの部分 を取って来るかを指定する。値が正であれば、現在のカーソル位置に続く 値の個数分の文字を取る。負であれば、カーソル位置に先行する値の絶対 値分の文字を取る。現在サラウンドテキストがサポートされているかどう かを知りたいだけであれば、この値はゼロでも良い。</p>
<p>サラウンディングテキストがサポートされていれば、コールバック関数は この要素のキーを <a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd" title="&quot;mtext&quot; を名前として持つシンボル.">Mtext</a> に、値を取り込んだM-text に設定しなくてはな らない。もしテキストの長さが充分でなければ、この M-text の長さは要 求されている文字数より短くて良い。最悪の場合 0 でもよいし、アプリケー ション側で必要で効率的だと思えば長くても良い。</p>
<p>サラウンディングテキストがサポートされていなければ、コールバック関 数は <a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">MInputContext::plist</a> の第一要素を変更してはならない。</p>
<p>Minput_delete_surrounding_text: このコマンドに割り当てられたコール バック関数が呼ばれた際には、<a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">MInputContext::plist</a> の第一要素は、キー として<a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8" title="&quot;integer&quot; を名前として持つシンボル.">Minteger</a> をとり、値は削除するべきサラウンディングテキストを Minput_get_surrounding_text と同様のやり方で指定する。コールバック 関数は指定されたテキストを削除しなければならない。また <a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">MInputContext::plist</a> を変えてはならない。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga5516535b28981c4b02b33368f3d56d56">Minput_preedit_start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga3f96ecb6d7f7f82bc1ba5e47f8da0b92">Minput_preedit_done</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gacb0619c67c071d453dd2920ffc26d0ed">Minput_preedit_draw</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gad3739f8097f1c52f10a8581828b7bb95">Minput_status_start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga49febb92bb4320bc27f20043517f3169">Minput_status_done</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gae75d45c1dbe0483768e9364af4d282f9">Minput_status_draw</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6bb355b1b5521571056b96a854f3c6c8">Minput_candidates_start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6ff3deabad4489cef99fff428b2628e2">Minput_candidates_done</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6bf782d7824557ec10e3988f6fcf4834">Minput_candidates_draw</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaf19d77434bb1a12bdcb50f46448f1402">Minput_set_spot</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gafa306a028998a972bf3a05c8609fe65e">Minput_toggle</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga5f07520efe1e533af2b2322fca2bc9a2">Minput_reset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga1ca3d6e04f44fada82ed3c81069be23c">Minput_get_surrounding_text</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gab1bfef46ab8e9daa6f3cf53b912b7da8">Minput_delete_surrounding_text</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: 特別な入力イベント用定義済みシンボル.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp8382d371c4f5f025eb0bd786fc733102"></a> <a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457" title="入力キーをフィルタする.">minput_filter()</a> の <code>KEY</code> 引数として用いられる定義済みシンボル。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga3edb37986f3bcdd15d73884c0d9b239b">Minput_focus_out</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga0d721c64e73c1e362f3cc44716b6c6ab">Minput_focus_in</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga2b2dd61bcb633e89865ebeda1cd9f466">Minput_focus_move</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: 入力メソッド情報用定義済みシンボル.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp517093868bc3a49bb908c7d7f27d9e11"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaf84d56e3015c4b26802debcbd9352806">Minherited</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga07679cd0d5bf8e137d5dc554a30aa106">Mcustomized</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gae01597fe66dfef937b4c5c47e54abbd0">Mconfigured</a></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
